diff --git a/Taskfile.yml b/Taskfile.yml
index 306aa9a9..3ef8b3dc 100644
--- a/Taskfile.yml
+++ b/Taskfile.yml
@@ -37,7 +37,11 @@ local_main:
       vars: {ROOT_DIR: "build/linux-{{.K_VER_DL}}", PATCHES_DIR: "src/patches"}
     - task: configure_src_from_local
       vars: {ROOT_DIR: "build/linux-{{.K_VER_DL}}"}
-    - task: make_modulesymvers
+    - task: make_scripts
+      vars: {ROOT_DIR: "build/linux-{{.K_VER_DL}}"}
+    - task: try_copy_modulesymvers_linux_headers
+      vars: {ROOT_DIR: "build/linux-{{.K_VER_DL}}"}
+    - task: make_modulesymvers_if_not_there
       vars: {ROOT_DIR: "build/linux-{{.K_VER_DL}}"}
     - task: build_hid
       vars: {ROOT_DIR: "build/linux-{{.K_VER_DL}}"}
@@ -78,7 +82,7 @@ raspi3_main:
     - task: patch_src
     - task: copy_defconfig
     - task: make_defconfig
-    - task: make_modulesymvers
+    - task: make_modulesymvers_if_not_there
     - task: build_xpad
     - task: build_bluetooth
     - task: backup_modules_raspi
@@ -137,6 +141,7 @@ backup_modules:
     - cp --force {{.ROOT_DIR}}/drivers/hid/hid.ko {{.BCK_DIR}}/
     - cp --force {{.ROOT_DIR}}/drivers/hid/hid-xpadneo.ko {{.BCK_DIR}}/
     - cp --force src/udev_rules/99-xpadneo.rules {{.BCK_DIR}}/
+    - cp --force src/install.sh {{.BCK_DIR}}/
 
 
 backup_modules_raspi:
@@ -146,9 +151,17 @@ backup_modules_raspi:
     - cp --force src/udev_rules/99-xpadneo-raspi.rules {{.BCK_DIR}}/
 
 
-make_modulesymvers:
+    
+make_scripts:
   cmds:
     - make LOCALVERSION={{.K_VER_LOCAL_EXTRA}} --directory={{.ROOT_DIR}} -j6 scripts
+    
+try_copy_modulesymvers_linux_headers:
+  cmds:
+    - cp --force /lib/modules/{{.K_VER_LONG}}/build/Module.symvers {{.ROOT_DIR}}/
+    
+make_modulesymvers_if_not_there:
+  cmds:
     - make --directory={{.ROOT_DIR}} -j6 modules
   status:
     - test -f {{.ROOT_DIR}}/Module.symvers
diff --git a/out/x86_64/4.15.5-1-ARCH/99-xpadneo.rules b/out/x86_64/4.15.5-1-ARCH/99-xpadneo.rules
new file mode 100644
index 00000000..c4aacb5c
--- /dev/null
+++ b/out/x86_64/4.15.5-1-ARCH/99-xpadneo.rules
@@ -0,0 +1,3 @@
+ACTION=="bind", KERNELS=="0005:045E:02FD.*|0005:045E:02E0.*", SUBSYSTEMS=="hid", DRIVERS=="hid-generic", \
+RUN+="/bin/bash -c 'echo $kernel > /sys/bus/hid/drivers/$driver/unbind'", \
+RUN+="/bin/bash -c 'echo $kernel > /sys/bus/hid/drivers/xpadneo/bind'" 
diff --git a/out/x86_64/4.15.5-1-ARCH/bluetooth.ko b/out/x86_64/4.15.5-1-ARCH/bluetooth.ko
new file mode 100644
index 00000000..baeb0a71
Binary files /dev/null and b/out/x86_64/4.15.5-1-ARCH/bluetooth.ko differ
diff --git a/out/x86_64/4.15.5-1-ARCH/hid-xpadneo.ko b/out/x86_64/4.15.5-1-ARCH/hid-xpadneo.ko
new file mode 100644
index 00000000..b58ab04d
Binary files /dev/null and b/out/x86_64/4.15.5-1-ARCH/hid-xpadneo.ko differ
diff --git a/out/x86_64/4.15.5-1-ARCH/hid.ko b/out/x86_64/4.15.5-1-ARCH/hid.ko
new file mode 100644
index 00000000..f22b36f5
Binary files /dev/null and b/out/x86_64/4.15.5-1-ARCH/hid.ko differ
diff --git a/out/x86_64/4.15.5-1-ARCH/install.sh b/out/x86_64/4.15.5-1-ARCH/install.sh
new file mode 100755
index 00000000..f2ff4999
--- /dev/null
+++ b/out/x86_64/4.15.5-1-ARCH/install.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+hid_xpadneo=$(modinfo -n hid-xpadneo 2> /dev/null)
+hid=$(modinfo -n hid 2> /dev/null)
+bluetooth=$(modinfo -n bluetooth 2> /dev/null)
+
+extramodules="/lib/modules/"$(uname -r)"/extramodules"
+
+
+# install xpadneo
+
+if [ "$hid_xpadneo" == "" ]
+then
+  echo "* install xpadneo"
+  sudo cp -f ./hid-xpadneo.ko "$extramodules"
+else
+  echo "* replace xpadneo"
+  sudo mv "$hid_xpadneo" "$hid_xpadneo"_bak
+  sudo cp -f ./hid-xpadneo.ko $(dirname "$hid_xpadneo")
+fi
+
+# install hid
+
+if [ "$hid" == "" ]
+then
+  echo "* install hid"
+  sudo cp -f ./hid.ko "$extramodules"
+else
+  echo "* replace hid"
+  sudo mv "$hid" "$hid"_bak
+  sudo cp -f ./hid.ko $(dirname "$hid")
+fi
+
+# install bluetooth
+
+if [ "$bluetooth" == "" ]
+then
+  echo "* install bluetooth"
+  sudo cp -f ./bluetooth.ko "$extramodules"
+else
+  echo "* replace bluetooth"
+  sudo mv "$bluetooth" "$bluetooth"_bak
+  sudo cp -f ./bluetooth.ko $(dirname "$bluetooth")
+fi
+
+
+sudo depmod
+
+
+sudo modprobe hid-xpadneo
+sudo modprobe hid
+sudo modprobe bluetooth
diff --git a/src/hid-xpadneo.c b/src/hid-xpadneo.c
index 613957df..5dad9d26 100644
--- a/src/hid-xpadneo.c
+++ b/src/hid-xpadneo.c
@@ -302,7 +302,7 @@ static const struct device_input_mapping xboxone_s_map = {
 		.max = 0x0f,
 		.input_ev = (struct map_entry[]) {
 			/* [HID_USAGE] = {MAPPING_TYPE, MAP_TO_EVENT_TYPE, MAP_TO_INPUT_CODE} */
-			[0x01] = {MAP_STATIC, EV_KEY, BTN_A,
+			[0x01] = {MAP_STATIC, EV_KEY, BTN_A},
 			[0x02] = {MAP_STATIC, EV_KEY, BTN_B},
 			[0x04] = {MAP_STATIC, EV_KEY, BTN_X},
 			[0x05] = {MAP_STATIC, EV_KEY, BTN_Y},
@@ -938,6 +938,7 @@ u8 map_hid_to_input_rs261 (struct hid_usage *usage, struct input_ev *map_to) {
 		case 0x39: *map_to = (struct input_ev){0, 0};             return MAP_AUTO;
 		case 0x85: *map_to = (struct input_ev){EV_KEY, BTN_MODE}; return MAP_STATIC;
 		}
+	}
 
 	return MAP_IGNORE;
 }
@@ -1006,7 +1007,7 @@ u8 map_hid_to_input_rs335 (struct hid_usage *usage, struct input_ev *map_to) {
 	}
 
 	return MAP_IGNORE;
-};
+}
 
 u8 map_hid_to_input_unknown (struct hid_usage *usage, struct input_ev *map_to) {
 
@@ -1051,4 +1052,4 @@ u8 map_hid_to_input_unknown (struct hid_usage *usage, struct input_ev *map_to) {
 	}
 
 	return MAP_IGNORE;
-};
+}
diff --git a/src/install.sh b/src/install.sh
new file mode 100755
index 00000000..f2ff4999
--- /dev/null
+++ b/src/install.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+hid_xpadneo=$(modinfo -n hid-xpadneo 2> /dev/null)
+hid=$(modinfo -n hid 2> /dev/null)
+bluetooth=$(modinfo -n bluetooth 2> /dev/null)
+
+extramodules="/lib/modules/"$(uname -r)"/extramodules"
+
+
+# install xpadneo
+
+if [ "$hid_xpadneo" == "" ]
+then
+  echo "* install xpadneo"
+  sudo cp -f ./hid-xpadneo.ko "$extramodules"
+else
+  echo "* replace xpadneo"
+  sudo mv "$hid_xpadneo" "$hid_xpadneo"_bak
+  sudo cp -f ./hid-xpadneo.ko $(dirname "$hid_xpadneo")
+fi
+
+# install hid
+
+if [ "$hid" == "" ]
+then
+  echo "* install hid"
+  sudo cp -f ./hid.ko "$extramodules"
+else
+  echo "* replace hid"
+  sudo mv "$hid" "$hid"_bak
+  sudo cp -f ./hid.ko $(dirname "$hid")
+fi
+
+# install bluetooth
+
+if [ "$bluetooth" == "" ]
+then
+  echo "* install bluetooth"
+  sudo cp -f ./bluetooth.ko "$extramodules"
+else
+  echo "* replace bluetooth"
+  sudo mv "$bluetooth" "$bluetooth"_bak
+  sudo cp -f ./bluetooth.ko $(dirname "$bluetooth")
+fi
+
+
+sudo depmod
+
+
+sudo modprobe hid-xpadneo
+sudo modprobe hid
+sudo modprobe bluetooth
